Skip to main content
PUT
/
libraries
/
{libraryId}
/
security
Update Security Settings
curl --request PUT \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "referrers": {
    "action": "allow",
    "values": [
      "example.com",
      "partner.com"
    ],
    "enabled": true
  },
  "countries": {
    "action": "deny",
    "values": [
      "RU",
      "CN"
    ],
    "enabled": true
  },
  "video_privacy": "private"
}
'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security"

payload = {
"referrers": {
"action": "allow",
"values": ["example.com", "partner.com"],
"enabled": True
},
"countries": {
"action": "deny",
"values": ["RU", "CN"],
"enabled": True
},
"video_privacy": "private"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referrers: {action: 'allow', values: ['example.com', 'partner.com'], enabled: true},
countries: {action: 'deny', values: ['RU', 'CN'], enabled: true},
video_privacy: 'private'
})
};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security"

payload := strings.NewReader("{\n \"referrers\": {\n \"action\": \"allow\",\n \"values\": [\n \"example.com\",\n \"partner.com\"\n ],\n \"enabled\": true\n },\n \"countries\": {\n \"action\": \"deny\",\n \"values\": [\n \"RU\",\n \"CN\"\n ],\n \"enabled\": true\n },\n \"video_privacy\": \"private\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"referrers\": {\n \"action\": \"allow\",\n \"values\": [\n \"example.com\",\n \"partner.com\"\n ],\n \"enabled\": true\n },\n \"countries\": {\n \"action\": \"deny\",\n \"values\": [\n \"RU\",\n \"CN\"\n ],\n \"enabled\": true\n },\n \"video_privacy\": \"private\"\n}"

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.put("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"referrers\": {\n \"action\": \"allow\",\n \"values\": [\n \"example.com\",\n \"partner.com\"\n ],\n \"enabled\": true\n },\n \"countries\": {\n \"action\": \"deny\",\n \"values\": [\n \"RU\",\n \"CN\"\n ],\n \"enabled\": true\n },\n \"video_privacy\": \"private\"\n}")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"referrers\": {\n \"action\": \"allow\",\n \"values\": [\n \"example.com\",\n \"partner.com\"\n ],\n \"enabled\": true\n },\n \"countries\": {\n \"action\": \"deny\",\n \"values\": [\n \"RU\",\n \"CN\"\n ],\n \"enabled\": true\n },\n \"video_privacy\": \"private\"\n}", false);
var response = await client.PutAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/security",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'referrers' => [
'action' => 'allow',
'values' => [
'example.com',
'partner.com'
],
'enabled' => true
],
'countries' => [
'action' => 'deny',
'values' => [
'RU',
'CN'
],
'enabled' => true
],
'video_privacy' => 'private'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "whitelist_referrers": {
      "action": "allow",
      "values": [
        "www.vidinfra.com",
        "app.partnerdomain.com"
      ],
      "enabled": false
    },
    "blocked_countries": {
      "action": "allow",
      "values": [
        "CN",
        "RU"
      ],
      "enabled": false
    },
    "video_privacy": "unlisted"
  },
  "message": "Security Settings Updated Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Body

application/json
referrers
object
required

Defines domain-level access control based on HTTP referrers.

countries
object
required

Defines geo-based access control based on viewer country.

video_privacy
string
required

Sets the default privacy level for videos. Possible values: 'public', 'private', or 'restricted'.

Response

data
object
required
message
string
required
success
boolean
required